package com.quantechsoftware.darren;

import com.vaadin.flow.component.Composite;
import com.vaadin.flow.component.dependency.StyleSheet;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.component.orderedlayout.FlexComponent.Alignment;

public class HomeView extends Composite<VerticalLayout> {

	static {
		Messages.addBundle("messages");
	}

	public HomeView() {
		getContent().setSizeFull();

		HorizontalLayout horizTop = new HorizontalLayout();
		horizTop.setHeight("50%");

		HorizontalLayout horizBottom = new HorizontalLayout();

		VerticalLayout horizBottomVerticalLeft = new VerticalLayout();
		VerticalLayout horizBottomVerticalRight = new VerticalLayout();
		horizBottomVerticalLeft.setWidth("70%");
		horizBottomVerticalRight.add(new HomeComponent());

		horizBottom.add(horizBottomVerticalLeft);
		horizBottom.add(horizBottomVerticalRight);

		getContent().add(horizTop);
		getContent().add(horizBottom);
		getContent().setHorizontalComponentAlignment(Alignment.CENTER, horizBottom);

	}
}
