package com.quantechsoftware.darren;

import java.util.List;

import com.quantechsoftware.darren.deal.DealList;
import com.quantechsoftware.darren.deal.DealStatusList;
import com.quantechsoftware.darren.login.AuthService;
import com.quantechsoftware.darren.login.LoggedInComponent;
import com.vaadin.flow.component.Component;
import com.vaadin.flow.component.Composite;
import com.vaadin.flow.component.UI;
import com.vaadin.flow.component.button.Button;
import com.vaadin.flow.component.dependency.HtmlImport;
import com.vaadin.flow.component.grid.Grid;
import com.vaadin.flow.component.html.Div;
import com.vaadin.flow.component.html.NativeButton;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.router.PageTitle;

import org.vaadin.tabs.PagedTabs;

@HtmlImport("styles/shared-styles.html")
public class MainViewBody extends Composite<PagedTabs> {

	public MainViewBody() {
		getContent().setSizeFull();

		addTab(new HomeView(), "Home");
		addTab(new DealStatusList(), "Deals");

	}

	private void addTab(Component content, String tabLabel) {
		getContent().add(content, tabLabel);
	}

}
