package com.quantechsoftware.darren.deal;

import org.vaadin.tabs.PagedTabs;

import com.vaadin.flow.component.Component;
import com.vaadin.flow.component.Composite;

public class DealStatusList extends Composite<PagedTabs> {

	public DealStatusList() {
		getContent().setSizeFull();

		addTab(new DealList("Pending"), "Pending");
		addTab(new DealList("Delivered"), "Delivered");
		addTab(new DealList("Inactive"), "Inactive");
	}

	private void addTab(Component content, String caption) {
		getContent().add(content, caption);
	}
}
